%define _cmake_skip_rpath	%nil
%define poot /usr/libexec

Name:		deja-dup
Version:	32.0
Release:	%mkrel 1
Summary:	Simple backup tool and front-end for duplicity
Group:		Archiving/Backup
License:	GPLv3+
URL:		https://launchpad.net/deja-dup
Source0:	http://launchpad.net/%{name}/32/%{version}/+download/%{name}-%{version}.tar.xz
Patch:		deja-dup-fix-version-detection.patch
#---------------------------------------------
BuildRequires: cmake
BuildRequires: locales-en
BuildRequires: vala
BuildRequires: libxml2-utils
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}peas-devel
BuildRequires: %{_lib}secret-devel
#---------------------------------------------
Requires:	duplicity 
Requires:       python-cloudfiles
Requires:	gnome-icon-theme-symbolic
Requires:	dconf
#---------------------------------------------

%description
Déjà Dup is a simple backup tool. It hides the complexity of doing backups the
'right way' (encrypted, off-site, and regular) and uses duplicity as the
back-end.

Features:
 - Support for local, remote, or cloud backup locations, such as Amazon S3
 - Securely encrypts and compresses your data
 - Incrementally backs up, letting you restore from any particular backup
 - Schedules regular backups
 - Integrates well into your GNOME desktop

%prep
%setup -q
%apply_patches

%build
# ugly workaround to fix build error with help2man
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:%{_builddir}/%{name}-%{version}/build/libdeja/:%{_builddir}/%{name}-%{version}/build/deja-dup/widgets
%cmake \
	-DENABLE_NAUTILUS:BOOL=OFF \
	-DENABLE_CCPANEL:BOOL=OFF \
	-DENABLE_UNITY_CCPANEL:BOOL=OFF \
	-DENABLE_UNITY:BOOL=OFF
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

#clean some unwanted files
find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}/%{_datadir}/icons/Humanity/

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
mv %{buildroot}/usr/etc/xdg/autostart/deja-dup-monitor.desktop \
%{buildroot}/etc/xdg/autostart/deja-dup-monitor.desktop

%find_lang %{name} --with-gnome --with-man --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS
%{_bindir}/deja-*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/glib-2.0/schemas/org.gnome.DejaDup.gschema.xml
%{_iconsdir}/hicolor/*/*/%{name}*
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_mandir}/man1/deja-dup*.1*
%{_sysconfdir}/xdg/autostart/%{name}-monitor.desktop
%{_libexecdir}/%{name}/
%{_datadir}/help
%{poot}/deja-dup/deja-dup-monitor
%{poot}/deja-dup/tools/duplicity.plugin
%{poot}/deja-dup/tools/libduplicity.so

%changelog
* Sun Jan 25 2015 bb <bb> 32.0-1pclos2015
- update

* Fri Jun 14 2013 Texstar <texstar at gmail.com> 24.0-1pclos2013
- update 

* Wed Nov 09 2011 Texstar <texstar at gmail.com> 20.1-1pclos2011
- 20.1
